/**
 * ab_show_hide_link package for Concrete5
 * Copyright Copyright 2018-2019, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_show_hide_link
 */

$(document).ready(function(e) {
    if(CCM_EDIT_MODE){
        return;
    }
    
    $.each($('.ab-show-hide-link'), function(index, element){
        var data_jq = $.parseJSON($(element).attr('data-jq'));
        var speed = parseInt(data_jq.fade_speed);
        
        $(element).on('click', '.show-hide', function(e) {
            switch($(this).text()) {
                case data_jq.link_text_show:
                    if (data_jq.truncate) {
                        $(this).parent().find('span.dots').toggleClass('hidden');
                        $(this).parent().find('.hidden-text').fadeToggle(speed, 'linear');
                    }
                    else {
                        $(this).parent().find('.text-to-hide').fadeToggle(speed, 'linear');
                    }
                    $(this).replaceWith('<a class="show-hide">' + data_jq.link_text_hide + '<i class="fa fa-angle-up"></i></a>');
                    break;
                case data_jq.link_text_hide:
                    if (data_jq.truncate) {
                        $(this).parent().find('.hidden-text').fadeToggle(speed, 'linear');
                        $(this).parent().find('span.dots').toggleClass('hidden');
                    }
                    else {
                        $(this).parent().find('.text-to-hide').fadeToggle(speed, 'linear');
                    }
                    $(this).replaceWith('<a class="show-hide">' + data_jq.link_text_show + '<i class="fa fa-angle-down"></i></a>');
                    break;
            }
        });
    });
});
